// Generated by generate_wrap_init.pl -- DO NOT MODIFY!

#define GLIBMM_INCLUDED_FROM_WRAP_INIT_CC
#include <glibmm.h>

// Disable the 'const' function attribute of the get_type() functions.
// GCC would optimize them out because we don't use the return value.
#undef  G_GNUC_CONST
#define G_GNUC_CONST /* empty */

#include <goocanvasmm/wrap_init.h>
#include <glibmm/error.h>
#include <glibmm/object.h>

// #include the widget headers so that we can call the get_type() static methods:
#include "bounds.h"
#include "canvas.h"
#include "ellipse.h"
#include "ellipsemodel.h"
#include "enums.h"
#include "grid.h"
#include "gridmodel.h"
#include "group.h"
#include "groupmodel.h"
#include "image.h"
#include "imagemodel.h"
#include "item.h"
#include "itemmodel.h"
#include "itemmodelsimple.h"
#include "itemsimple.h"
#include "linedash.h"
#include "path.h"
#include "pathmodel.h"
#include "points.h"
#include "polyline.h"
#include "polylinemodel.h"
#include "rect.h"
#include "rectmodel.h"
#include "style.h"
#include "table.h"
#include "tablemodel.h"
#include "text.h"
#include "textmodel.h"
#include "widget.h"

extern "C"
{
//Declarations of the *_get_type() functions:

GType goo_canvas_get_type(void);
GType goo_canvas_ellipse_get_type(void);
GType goo_canvas_ellipse_model_get_type(void);
GType goo_canvas_grid_get_type(void);
GType goo_canvas_grid_model_get_type(void);
GType goo_canvas_group_get_type(void);
GType goo_canvas_group_model_get_type(void);
GType goo_canvas_image_get_type(void);
GType goo_canvas_image_model_get_type(void);
GType goo_canvas_item_model_simple_get_type(void);
GType goo_canvas_item_simple_get_type(void);
GType goo_canvas_path_get_type(void);
GType goo_canvas_path_model_get_type(void);
GType goo_canvas_polyline_get_type(void);
GType goo_canvas_polyline_model_get_type(void);
GType goo_canvas_rect_get_type(void);
GType goo_canvas_rect_model_get_type(void);
GType goo_canvas_style_get_type(void);
GType goo_canvas_table_get_type(void);
GType goo_canvas_table_model_get_type(void);
GType goo_canvas_text_get_type(void);
GType goo_canvas_text_model_get_type(void);
GType goo_canvas_widget_get_type(void);

//Declarations of the *_error_quark() functions:

} // extern "C"

namespace Goocanvas {

//Declarations of the *_Class::wrap_new() methods, instead of including all the private headers:

class Canvas_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Ellipse_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class EllipseModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Grid_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class GridModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Group_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class GroupModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Image_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class ImageModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class ItemModelSimple_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class ItemSimple_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Path_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class PathModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Polyline_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class PolylineModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Rect_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class RectModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Style_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Table_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class TableModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Text_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class TextModel_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Widget_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };

void wrap_init()
{
  // Register Error domains in the main namespace:

  // Map gtypes to gtkmm wrapper-creation functions:
  Glib::wrap_register(goo_canvas_get_type(), &Canvas_Class::wrap_new);
  Glib::wrap_register(goo_canvas_ellipse_get_type(), &Ellipse_Class::wrap_new);
  Glib::wrap_register(goo_canvas_ellipse_model_get_type(), &EllipseModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_grid_get_type(), &Grid_Class::wrap_new);
  Glib::wrap_register(goo_canvas_grid_model_get_type(), &GridModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_group_get_type(), &Group_Class::wrap_new);
  Glib::wrap_register(goo_canvas_group_model_get_type(), &GroupModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_image_get_type(), &Image_Class::wrap_new);
  Glib::wrap_register(goo_canvas_image_model_get_type(), &ImageModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_item_model_simple_get_type(), &ItemModelSimple_Class::wrap_new);
  Glib::wrap_register(goo_canvas_item_simple_get_type(), &ItemSimple_Class::wrap_new);
  Glib::wrap_register(goo_canvas_path_get_type(), &Path_Class::wrap_new);
  Glib::wrap_register(goo_canvas_path_model_get_type(), &PathModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_polyline_get_type(), &Polyline_Class::wrap_new);
  Glib::wrap_register(goo_canvas_polyline_model_get_type(), &PolylineModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_rect_get_type(), &Rect_Class::wrap_new);
  Glib::wrap_register(goo_canvas_rect_model_get_type(), &RectModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_style_get_type(), &Style_Class::wrap_new);
  Glib::wrap_register(goo_canvas_table_get_type(), &Table_Class::wrap_new);
  Glib::wrap_register(goo_canvas_table_model_get_type(), &TableModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_text_get_type(), &Text_Class::wrap_new);
  Glib::wrap_register(goo_canvas_text_model_get_type(), &TextModel_Class::wrap_new);
  Glib::wrap_register(goo_canvas_widget_get_type(), &Widget_Class::wrap_new);

  // Register the gtkmm gtypes:
  Canvas::get_type();
  Ellipse::get_type();
  EllipseModel::get_type();
  Grid::get_type();
  GridModel::get_type();
  Group::get_type();
  GroupModel::get_type();
  Image::get_type();
  ImageModel::get_type();
  ItemModelSimple::get_type();
  ItemSimple::get_type();
  Path::get_type();
  PathModel::get_type();
  Polyline::get_type();
  PolylineModel::get_type();
  Rect::get_type();
  RectModel::get_type();
  Style::get_type();
  Table::get_type();
  TableModel::get_type();
  Text::get_type();
  TextModel::get_type();
  Widget::get_type();

} // wrap_init()

} // Goocanvas

